Summary:	Simple Samba Commander
Summary(pl.UTF-8):	Konsolowa przeglądarka otoczenia sieciowego
Name:		smbc
Version:	1.2.2
Release:	6
License:	GPL
Group:		Applications/Networking
Source0:	http://dl.sourceforge.net/smbc/%{name}-%{version}.tgz
# Source0-md5:	f5c1a16ea0378d96cb27e8d96229e8ad
Source1:	%{name}.desktop
Patch0:		%{name}-build.patch
URL:		http://smbc.airm.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-tools
BuildRequires:	libsmbclient-devel >= 3.0
BuildRequires:	libtool
BuildRequires:	ncurses-devel
BuildRequires:	popt-devel
BuildRequires:	sed >= 4.0
BuildRequires:	texinfo
Requires:	samba
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Simple Samba Commander is a text mode SMBnet commander. In SMBC, you
can browse the local network or you can use the search function to
find the files. You can also download and upload files or all
directories to your computer or create remote and local directories.
SMBC has a resume function and supports UTF-8 characters.

%description -l pl.UTF-8
Simple Samba Commander jest prostą tekstową przeglądarką sieci opartej
o protokół SMB. Za pomocą SMBC można przeglądać sieć lokalną lub w
poszukiwaniu konkretnego pliku wykorzystać funkcję wyszukiwania.
Dostępna jest również funkcja pobierania oraz wysyłania plików jak i
całych katalogów. SMBC zawiera funkcje automatycznego wznawiania
połączenia, obsługę wielu języków wspiera również standard kodowania
znaków UTF8.

%prep
%setup -q
%patch0 -p1

rm -rf src/CVS
sed -i 's@<curses.h>@<ncurses/curses.h>@' src/*

%build
%{__gettextize}
%{__libtoolize}
sed -i -e 's#-Werror##g' -e 's#-Wformat##g' */*.m4
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}

%configure \
	CPPFLAGS="%{rpmcppflags} $(pkg-config --cflags smbclient)"

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc FAQ README doc/sample.smbcrc
%attr(755,root,root) %{_bindir}/*
%{_desktopdir}/%{name}.desktop
%{_infodir}/*.info*
%{_mandir}/man1/smbc.*
%{_mandir}/man1/smbcrc.*
%changelog
* Sat Dec 12 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/smbc.git;a=log;h=master

* Sat Dec 12 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 023a464
- rel 6; build fixed

* Sat Dec 12 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 51697ec
- release 5 (by relup.sh)

* Sat Dec 05 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 93720b1
- ncurses rebuild
- release 4 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 619a863
- updated gettext BR

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 02b5277
- release 3

* Sun May 16 2010 sparky <sparky@pld-linux.org> 406165d
- BR: texinfo

* Wed May 12 2010 Jan Rękorajski <baggins@pld-linux.org> 77d6814
- rel 2
- more desktop categories

* Thu Jan 24 2008 Elan Ruusamäe <glen@pld-linux.org> 3d979e0
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> 219f356
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> b0c6724
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 43341a5
- converted to UTF-8

* Tue Feb 28 2006 Elan Ruusamäe <glen@pld-linux.org> b87fb62
- adapterized (killed trailing spaces/tabs)

* Wed Jul 20 2005 kolodko <kolodko@pld-linux.org> 40b3231
- 1.2.2

* Fri Mar 18 2005 kolodko <kolodko@pld-linux.org> 026f975
- up to 1.2.1

* Fri Mar 18 2005 kolodko <kolodko@pld-linux.org> 596b75d
- drop, go to %prep

* Fri Mar 18 2005 kolodko <kolodko@pld-linux.org> fcc84f9
- 1.2.0
- drop smbc-ncurses.patch, go to %prep

* Wed Feb 23 2005 kolodko <kolodko@pld-linux.org> 1001ce3
- up to 1.1.2

* Mon Feb 14 2005 Sławomir Paszkiewicz <paszczus@pld-linux.org> cab7617
- updated for 1.1.1

* Mon Feb 14 2005 Sławomir Paszkiewicz <paszczus@pld-linux.org> ce2666b
- updated to 1.1.1
- updated smbc-ncurses.patch
- STBR

* Fri Feb 11 2005 Sławomir Paszkiewicz <paszczus@pld-linux.org> 27e7e4b
- updated to 1.1.0
- STBR

